# -*- coding: utf-8 -*-

from osv import osv, fields
from apem_utils_quality import is_duplicate, search_is_duplicate, name_not_uniq, search_name_not_uniq

class apem_partners_quality(osv.osv):
    '''
        Adds data quality fields to the partners
    '''
    _inherit = "res.partner"

    _columns = {
                'name_not_uniq': fields.function(name_not_uniq, None, fnct_search=search_name_not_uniq,
                                                method=False, type="boolean" ,store=False, readonly=True),
                'is_duplicate': fields.function(is_duplicate, None, fnct_search=search_is_duplicate,
                                                method=False, type="boolean" ,store=False, readonly=True),
                }
    
apem_partners_quality()

class apem_address_quality(osv.osv):
    '''
        Adds data quality fields to the contacts
    '''
    _inherit = "res.partner.address"

    _columns = {
                'is_duplicate': fields.function(is_duplicate, None, fnct_search=search_is_duplicate,
                                                method=False, type="boolean" ,store=False, readonly=True),
                }
    
apem_address_quality()