# -*- coding: utf-8 -*-

from osv import fields, osv

class apem_abstract_form(osv.osv):
    """Form to be extended by the different opportunity-related forms"""
    _name="apem.form.abstract"
    _description="Link Opportunity/Form/task"
    
    _columns={
              'opportunity_id': fields.many2one('crm.lead', "Opportunity ID", require=True, readonly=True, \
                                    domain="[('type', '=', 'opportunity')]", \
                                    context="{'form_view_ref':'crm.crm_case_form_view_oppor'}"),              
              'in_charge_Salesman': fields.related('opportunity_id', 'user_id', type='many2one', \
                                    relation="res.users", string="Salesman in charge", store=False, readonly=True),
              'form_partner': fields.related('opportunity_id', 'partner_id', type='many2one', \
                                    relation="res.partner", string="Partner", store=False, readonly=True),
              
              'name': fields.char('Form sequence name', size=32, require=True),
              
              'tasks_ids': fields.one2many('project.task', 'apem_form_id', 'Tasks')
              }
    
apem_abstract_form()