# -*- coding: utf-8 -*-

from osv import osv, fields

class apem_form_lead(osv.osv):
    _inherit = "crm.lead"
    _description = "Lead/Opportunity"
    
    def _merge_all_tasks(self, cr, uid, ids, field_name, arg, context):
        taskManager = self.pool.get('project.task')
        res = {}
        
        for id in ids:
            tasks = taskManager.search(cr,uid,[("apem_opportunity_id","=",id)])
            res[id] = tasks
        
        return res;

    _columns = {
              'all_tasks': fields.function(_merge_all_tasks, type='one2many', obj="project.task",
                                           method=True, string='Tasks', readonly=True),
                
              'qualified': fields.boolean('Qualified qualification'),
              'tooling': fields.boolean('Tooling order'),
              'proto_approved': fields.boolean('Approved'),
              
              'price_requests': fields.one2many('crm.form.price', 'opportunity_id', 'Price requests'),
              'cpi_requests': fields.one2many('crm.form.cpi', 'opportunity_id', 'CPI requests')
               }
    
apem_form_lead()