# -*- coding: utf-8 -*-

from osv import osv, fields
from tools.translate import _
import time

class apem_task_timespent(osv.osv_memory):
    """Allow the user to fill the time he spent on a task"""
    _name = 'apem.task.timespent'
    _description = 'Time spent on a task wizard'
    
    _columns = {
        'name': fields.char('Work summary', size=128),
        'date': fields.datetime('Date', select="1"),
        'hours': fields.float('Time Spent', help="Number of hours spent on the task"),
    }

    _defaults = {
        'date': lambda *a: time.strftime('%Y-%m-%d %H:%M:%S')
    }

    def action_cancel_wiz(self, cr, uid, ids, context=None):
        return {'type':'ir.actions.act_window_close'}

    def action_save_wiz(self, cr, uid, ids, context=None):
        if context is None:
            context = {}
        task_ids = context and context.get('active_ids') or []

        taskWorkManager = self.pool.get('project.task.work')
        taskManager = self.pool.get('project.task')
        for cur_id in task_ids:
            cur_task = taskManager.browse(cr,uid,cur_id,context=context)
            for fields in self.browse(cr, uid, ids, context=context):
                new_work = taskWorkManager.create(cr,uid,{
                                    'name': fields.name,
                                    'date': fields.date,
                                    'task_id': cur_id,
                                    'hours': fields.hours,
                                    'user_id': uid},context=context)
                task_work_ids = ([i.id for i in cur_task.work_ids]).append(new_work)
                taskManager.write(cr, uid, [cur_id], {'work_ids':task_work_ids, 'stage_work_done': True}, context=context)
        
        return {'type': 'ir.actions.act_window_close'}

apem_task_timespent()