# -*- coding: utf-8 -*-

from osv import osv, fields

class apem_contacts(osv.osv):
    """ Adds email attachments to the contact level """
    _inherit = "res.partner.address"

    def _get_contact_emails(self, cr, uid, ids, field_name, arg, context=None):
        res = {}
        mail_manager = self.pool.get('mail.message')
        for addr_id in ids:
            mails = mail_manager.search(cr,uid,[('res_id','=',addr_id),('model','=','res.partner.address')])
            res[addr_id] = mails
        
        return res

    _columns = {
              'emails': fields.function(_get_contact_emails, type='one2many', obj='mail.message',
                                        method=True, string='Emails')
                }
    
    def message_append_dict(self, cr, uid, res, msg):
        model_obj = self.pool.get('mail.thread')
        return model_obj.message_append_dict(cr, uid, res, msg)
    
apem_contacts()