# -*- coding: utf-8 -*-

from osv import osv, fields
from base.res.res_users import is_reified_group

class apem_users (osv.osv):
    """ This module adapts the res.users module to link to a contact """
    _inherit = "res.users"

    _columns = {
               'user_address_id': fields.many2one('res.partner.address', 'User contact details', domain="[('partner_id','=',company_id)]"),
               'avatar': fields.binary('Avatar')
                }
    
    def create(self, cr, uid, vals, context=None):
        """Creates the contact corresponding to the user"""
        if 'name' in vals:
            contactManager = self.pool.get('res.partner.address')
            current_company_id = contactManager.browse(cr, uid, uid, context).company_id.id
            vals['user_address_id'] = contactManager.create(cr,uid, \
                                                {'name':vals['name'], 'partner_id':current_company_id}, context)
    
        return super(apem_users, self).create(cr, uid, vals, context)
    
    def export_data(self, cr, uid, ids, fields_to_export, context=None):
        DUMMY = 'IGNORED'
        # remove dynamically generated fields
        fields_no_reified = []
        fields_removed = []
        index = 0
        for f in fields_to_export:
            if not is_reified_group(f):
                fields_no_reified.append(f)
            else:
                fields_removed.append(index)
            index = index + 1
                        
        res = super(apem_users,self).export_data(cr, uid, ids, fields_no_reified, context=context)
        
        #inject dummy values to replace the removed fields 
        for cur_line in res['datas']:
            for i in fields_removed:
                cur_line.insert(i, DUMMY)
        
        return res
    
apem_users()